Package org.silverpeas.components.suggestionbox.model

# Enum Class SuggestionCriteria.QUERY_ORDER_BY

java.lang.Object
java.lang.Enum<SuggestionCriteria.QUERY_ORDER_BY>
org.silverpeas.components.suggestionbox.model.SuggestionCriteria.QUERY_ORDER_BY

All Implemented Interfaces:
  `Serializable`, `Comparable<SuggestionCriteria.QUERY_ORDER_BY>`, `Constable`

Enclosing class:
  SuggestionCriteria

public static enum SuggestionCriteria.QUERY_ORDER_BY extends Enum<SuggestionCriteria.QUERY_ORDER_BY>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COMMENT_COUNT_DESC`
  `LAST_UPDATE_DATE_ASC`
  `LAST_UPDATE_DATE_DESC`
  `STATUS_ASC`
  `TITLE_ASC`
  `TITLE_DESC`
  `VALIDATION_DATE_DESC`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SuggestionCriteria.QUERY_ORDER_BY`
  `fromPropertyName(String property)`
  `String`
  `getPropertyName()`
  `boolean`
  `isApplicableOnJpaQuery()`
  `boolean`
  `isAsc()`
  `static SuggestionCriteria.QUERY_ORDER_BY`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SuggestionCriteria.QUERY_ORDER_BY[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TITLE_ASC

    public static final SuggestionCriteria.QUERY_ORDER_BY TITLE_ASC

  - ### LAST_UPDATE_DATE_ASC

    public static final SuggestionCriteria.QUERY_ORDER_BY LAST_UPDATE_DATE_ASC

  - ### STATUS_ASC

    public static final SuggestionCriteria.QUERY_ORDER_BY STATUS_ASC

  - ### TITLE_DESC

    public static final SuggestionCriteria.QUERY_ORDER_BY TITLE_DESC

  - ### LAST_UPDATE_DATE_DESC

    public static final SuggestionCriteria.QUERY_ORDER_BY LAST_UPDATE_DATE_DESC

  - ### VALIDATION_DATE_DESC

    public static final SuggestionCriteria.QUERY_ORDER_BY VALIDATION_DATE_DESC

  - ### COMMENT_COUNT_DESC

    public static final SuggestionCriteria.QUERY_ORDER_BY COMMENT_COUNT_DESC

- ## Method Details

  - ### values

    public static SuggestionCriteria.QUERY_ORDER_BY[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SuggestionCriteria.QUERY_ORDER_BY valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### fromPropertyName

    public static SuggestionCriteria.QUERY_ORDER_BY fromPropertyName(String property)

  - ### isApplicableOnJpaQuery

    public boolean isApplicableOnJpaQuery()

  - ### getPropertyName

    public String getPropertyName()

  - ### isAsc

    public boolean isAsc()